<!-- ##### SECTION Title ##### -->
gimp

<!-- ##### SECTION Short_Description ##### -->
Main functions needed for building a GIMP plug-in. This header includes
all other GIMP Library headers.

<!-- ##### SECTION Long_Description ##### -->
<para>
Main functions needed for building a GIMP plug-in. This header includes
all other GIMP Library headers.

</para>

<!-- ##### SECTION See_Also ##### -->
<para>

</para>

<!-- ##### MACRO GIMPVAR ##### -->
<para>

</para>



<!-- ##### FUNCTION gimp_version ##### -->
<para>

</para>

@Returns: 


<!-- ##### VARIABLE gimp_major_version ##### -->
<para>

</para>


<!-- ##### VARIABLE gimp_minor_version ##### -->
<para>

</para>


<!-- ##### VARIABLE gimp_micro_version ##### -->
<para>

</para>


<!-- ##### MACRO gimp_get_data ##### -->
<para>

</para>



<!-- ##### MACRO gimp_get_data_size ##### -->
<para>

</para>

@Returns: 


<!-- ##### MACRO gimp_set_data ##### -->
<para>

</para>



<!-- ##### USER_FUNCTION GimpInitProc ##### -->
<para>

</para>



<!-- ##### USER_FUNCTION GimpQuitProc ##### -->
<para>

</para>



<!-- ##### USER_FUNCTION GimpQueryProc ##### -->
<para>

</para>



<!-- ##### USER_FUNCTION GimpRunProc ##### -->
<para>

</para>

@name: 
@n_params: 
@param: 
@n_return_vals: 
@return_vals: 


<!-- ##### STRUCT GimpPlugInInfo ##### -->
<para>

</para>

@init_proc: 
@quit_proc: 
@query_proc: 
@run_proc: 

<!-- ##### STRUCT GimpParamDef ##### -->
<para>

</para>

@type: 
@name: 
@description: 

<!-- ##### STRUCT GimpParamRegion ##### -->
<para>

</para>

@x: 
@y: 
@width: 
@height: 

<!-- ##### UNION GimpParamData ##### -->
<para>

</para>


<!-- ##### STRUCT GimpParam ##### -->
<para>

</para>

@type: 
@data: 

<!-- ##### MACRO MAIN ##### -->
<para>
    
</para>



<!-- ##### FUNCTION gimp_main ##### -->
<para>

</para>

@info: 
@argc: 
@argv: 
@Returns: 


<!-- ##### FUNCTION gimp_quit ##### -->
<para>

</para>



<!-- ##### FUNCTION gimp_install_procedure ##### -->
<para>

</para>

@name: 
@blurb: 
@help: 
@author: 
@copyright: 
@date: 
@menu_label: 
@image_types: 
@type: 
@n_params: 
@n_return_vals: 
@params: 
@return_vals: 
<!-- # Unused Parameters # -->
@menu_path: 


<!-- ##### FUNCTION gimp_install_temp_proc ##### -->
<para>

</para>

@name: 
@blurb: 
@help: 
@author: 
@copyright: 
@date: 
@menu_label: 
@image_types: 
@type: 
@n_params: 
@n_return_vals: 
@params: 
@return_vals: 
@run_proc: 
<!-- # Unused Parameters # -->
@menu_path: 


<!-- ##### FUNCTION gimp_uninstall_temp_proc ##### -->
<para>

</para>

@name: 


<!-- ##### FUNCTION gimp_run_procedure ##### -->
<para>

</para>

@name: 
@n_return_vals: 
@Varargs: 
@Returns: 


<!-- ##### FUNCTION gimp_run_procedure2 ##### -->
<para>

</para>

@name: 
@n_return_vals: 
@n_params: 
@params: 
@Returns: 


<!-- ##### FUNCTION gimp_destroy_params ##### -->
<para>

</para>

@params: 
@n_params: 


<!-- ##### FUNCTION gimp_destroy_paramdefs ##### -->
<para>

</para>

@paramdefs: 
@n_params: 


<!-- ##### FUNCTION gimp_tile_width ##### -->
<para>

</para>

@Returns: 


<!-- ##### FUNCTION gimp_tile_height ##### -->
<para>

</para>

@Returns: 


<!-- ##### FUNCTION gimp_shm_ID ##### -->
<para>

</para>

@Returns: 


<!-- ##### FUNCTION gimp_shm_addr ##### -->
<para>

</para>

@Returns: 


<!-- ##### FUNCTION gimp_gamma ##### -->
<para>

</para>

@Returns: 


<!-- ##### FUNCTION gimp_install_cmap ##### -->
<para>

</para>

@Returns: 


<!-- ##### FUNCTION gimp_min_colors ##### -->
<para>

</para>

@Returns: 


<!-- ##### FUNCTION gimp_show_tool_tips ##### -->
<para>

</para>

@Returns: 


<!-- ##### FUNCTION gimp_show_help_button ##### -->
<para>

</para>

@Returns: 


<!-- ##### FUNCTION gimp_check_size ##### -->
<para>

</para>

@Returns: 


<!-- ##### FUNCTION gimp_check_type ##### -->
<para>

</para>

@Returns: 


<!-- ##### FUNCTION gimp_default_display ##### -->
<para>

</para>

@Returns: 


<!-- ##### FUNCTION gimp_wm_class ##### -->
<para>

</para>

@Returns: 


<!-- ##### FUNCTION gimp_display_name ##### -->
<para>

</para>

@Returns: 


<!-- ##### FUNCTION gimp_monitor_number ##### -->
<para>

</para>

@Returns: 


<!-- ##### FUNCTION gimp_get_progname ##### -->
<para>

</para>

@Returns: 


<!-- ##### FUNCTION gimp_extension_enable ##### -->
<para>

</para>



<!-- ##### FUNCTION gimp_extension_ack ##### -->
<para>

</para>



<!-- ##### FUNCTION gimp_extension_process ##### -->
<para>

</para>

@timeout: 


<!-- ##### FUNCTION gimp_parasite_find ##### -->
<para>

</para>

@name: 
@Returns: 


<!-- ##### FUNCTION gimp_parasite_list ##### -->
<para>

</para>

@num_parasites: 
@parasites: 
@Returns: 


<!-- ##### FUNCTION gimp_parasite_attach ##### -->
<para>

</para>

@parasite: 
@Returns: 


<!-- ##### FUNCTION gimp_parasite_detach ##### -->
<para>

</para>

@name: 
@Returns: 


<!-- ##### FUNCTION gimp_attach_new_parasite ##### -->
<para>

</para>

@name: 
@flags: 
@size: 
@data: 


